Package org.drinkless.tdlib

# Class TdApi.RichTextIcon

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.RichText
org.drinkless.tdlib.TdApi.RichTextIcon

Enclosing class:
  `TdApi`

public static class TdApi.RichTextIcon extends TdApi.RichText
A small image inside the text.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.RichText

  `TdApi.RichText.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.Document`
  `document`
  The image represented as a document.
  `int`
  `height`
  Height of a bounding box in which the image must be shown; 0 if unknown.
  `int`
  `width`
  Width of a bounding box in which the image must be shown; 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RichTextIcon()`
  A small image inside the text.
  `RichTextIcon(TdApi.Document document, int width, int height)`
  A small image inside the text.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### document

    public TdApi.Document document
    The image represented as a document. The image can be in GIF, JPEG or PNG format.

  - ### width

    public int width
    Width of a bounding box in which the image must be shown; 0 if unknown.

  - ### height

    public int height
    Height of a bounding box in which the image must be shown; 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### RichTextIcon

    public RichTextIcon()
    A small image inside the text.

  - ### RichTextIcon

    public RichTextIcon(TdApi.Document document, int width, int height)
    A small image inside the text.
    Parameters:
      `document` - The image represented as a document. The image can be in GIF, JPEG or PNG format.
      `width` - Width of a bounding box in which the image must be shown; 0 if unknown.
      `height` - Height of a bounding box in which the image must be shown; 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.RichText`
    Returns:
      this.CONSTRUCTOR